import { UmiError } from '@metaplex-foundation/umi-core';
export declare class BundlrError extends UmiError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
export declare class FailedToInitializeBundlrError extends BundlrError {
    readonly name: string;
    constructor(cause: Error);
}
export declare class FailedToConnectToBundlrAddressError extends BundlrError {
    readonly name: string;
    constructor(address: string, cause: Error);
}
export declare class AssetUploadFailedError extends BundlrError {
    readonly name: string;
    constructor(status: number);
}
export declare class BundlrWithdrawError extends BundlrError {
    readonly name: string;
    constructor(status: number);
}
